#ifndef PEIXETECLADO_H
#define PEIXETECLADO_H

#include <GL/glut.h>
#include <iostream>
#include <stdlib.h>
#include <stdio.h>
#include <cmath>
#include "mesh.h"
using namespace std;

class PeixeTeclado
{
public:
	float passo;
	float teta;
	float dx;
	float dy;
	float dox;
	float doy;
	float pi;
	float raio;
	float angulo;
	
	PeixeTeclado();
	void Anima(int tipo);
	void Colisao(void);
	void Rotacao(void);
	void Translacao(void);
	void desenhaPeixeTeclado();

};

#endif
